package:
  name: data2passcal
  version: 2020.119

source:
  path: ../

build:
  number: 0
  script: python setup.py install --single-version-externally-managed --record=record.txt
  entry_points:
    - data2passcal = data2passcal.data2passcal:main

requirements:
  host:
    - python
    - setuptools
  run:
    - python

test:
  requires:
    - mock # [py<33]
  source_files:
    - tests
  commands:
    - python -c "import data2passcal.data2passcal; print(data2passcal.__version__)"
    - python -m unittest tests.test_data2passcal

about:
  home: https://git.passcal.nmt.edu/passoft/data2passcal
  license: GPLv3
  license_file: LICENSE
  summary: Send MSEED files ready for archival at the DMC to PASSCAL's QC system
